package extractor.ui;

import javax.swing.UIManager;
import java.awt.*;
import javax.swing.*;
import ui.*;

public class TreeTest extends JDialog
{
  	boolean packFrame = false;

  	/**Construct the application*/
  	public TreeTest(JFrame parent, ExtractResultsPanel ejbName) 
  	{
  		super(parent);
  		
  		
    		InitialUI frame = new InitialUI(ejbName);
    		//Validate frames that have preset sizes
    		//Pack frames that have useful preferred size info, e.g. from their layout

		 //Center the window
    		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    		Dimension frameSize = getSize();
    		if (frameSize.height > screenSize.height) 
    		{
      			frameSize.height = screenSize.height;
    		}
    		if (frameSize.width > screenSize.width) 
    		{
      			frameSize.width = screenSize.width;
    		}
    		setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    		setVisible(true);
  	}

}